[arch-commits] Commit in slang/repos (3 files)

Eric Bélanger eric at archlinux.org
Fri Nov 6 09:38:33 EST 2009


    Date: Friday, November 6, 2009 @ 09:38:32
  Author: eric
Revision: 58246

Merged revisions 58242 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/slang/trunk

........
  r58242 | eric | 2009-11-06 09:30:21 -0500 (Fri, 06 Nov 2009) | 2 lines
  
  upgpkg: slang 2.2.1-1
      Upstream update, Added zlib depends
........

Modified:
  slang/repos/extra-i686/	(properties)
  slang/repos/extra-i686/ChangeLog
  slang/repos/extra-i686/PKGBUILD

-----------+
 ChangeLog |    6 ++++++
 PKGBUILD  |   12 ++++++------
 2 files changed, 12 insertions(+), 6 deletions(-)


Property changes on: slang/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /slang/trunk:1-21962
   + /slang/trunk:1-58245

Modified: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2009-11-06 14:34:42 UTC (rev 58245)
+++ extra-i686/ChangeLog	2009-11-06 14:38:32 UTC (rev 58246)
@@ -1,3 +1,9 @@
+2009-11-06  Eric Belanger  <eric at archlinux.org>
+
+	* slang 2.2.1-1
+	* Upstream update
+	* Added zlib depends
+
 2008-12-19  Eric Belanger  <eric at archlinux.org>
 
 	* slang 2.1.4-1

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-06 14:34:42 UTC (rev 58245)
+++ extra-i686/PKGBUILD	2009-11-06 14:38:32 UTC (rev 58246)
@@ -3,22 +3,22 @@
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=slang
-pkgver=2.1.4
+pkgver=2.2.1
 pkgrel=1
 pkgdesc="S-Lang is a powerful interpreted language"
 arch=('i686' 'x86_64')
 url="http://www.s-lang.org/"
 license=('GPL')
-depends=('glibc' 'pcre')
+depends=('glibc' 'pcre' 'zlib')
 backup=('etc/slsh.rc')
 options=('!makeflags')
 source=(ftp://ftp.fu-berlin.de/pub/unix/misc/slang/v${pkgver%.*}/${pkgname}-${pkgver}.tar.gz)
-md5sums=('3516f593bc04975844f26137c18275d2')
-sha1sums=('5c97698f7dcd91834ce64a4dac476a3587851ead')
+md5sums=('9a72420df2aa7b1932a195c6e5a85465')
+sha1sums=('8144f6d0362c8de2206c30fc2bdcf73da41eaf38')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc || return 1
   make || return 1
-  make install-all DESTDIR=${pkgdir} || return 1
+  make DESTDIR="${pkgdir}" install-all || return 1
 }



More information about the arch-commits mailing list